package com.sunmi.cloudprinterdemo.rpc;

import android.util.Log;

import com.zhy.http.okhttp.OkHttpUtils;
import com.zhy.http.okhttp.callback.StringCallback;

import java.util.Map;


/**
 * Description:
 * Created by bruce on 2019/1/24.
 */
public class BaseHttpApi {
    public static final String TAG = "HttpCall";


    /**
     * okHttp post
     *
     * @param url      地址
     * @param map      传递参数
     * @param callback 回调处理
     */
    public static void post(String url, Map<String, String> map, StringCallback callback) {
        Log.e(TAG, "post: url = " + url + ", map = " + map);
        OkHttpUtils.post()
                .url(url).params(map).build()//request Call
                .execute(callback);
    }


}
