package com.sunmi.cloudprinterdemo.utils;

import android.content.Context;

/**
 * Description:
 *
 * @author linyuanpeng on 2019-09-12.
 */
public class CommonHelper {
    /**
     * 根据手机的分辨率从单位dp转成为单位 px(像素)
     *
     * @param context 上下文
     * @param dpValue 设置的dp值
     * @return 返回转换后的px值
     */
    public static int dp2px(Context context, float dpValue) {
        final float scale = context.getResources().getDisplayMetrics().density;
        return (int) (dpValue * scale + 0.5f);
    }
}
